Index: Include/Classes/System/Drawing/Graphics.ab
===================================================================
--- Include/Classes/System/Drawing/Graphics.ab	(revision 104)
+++ Include/Classes/System/Drawing/Graphics.ab	(revision 212)
@@ -37,10 +37,10 @@
 	'=========================================================================
 	Const Function Clip() As Region
-		Dim r As Regino
+		Dim r As Region
 		GetClip(r)
 		Return r
 	End Function
 
-	Sub Clip(ByRef region As /*Const*/ Region)
+	Sub Clip(region As /*Const*/ Region)
 		SetClip(region, CombineMode.Replace)
 	End Sub
@@ -172,5 +172,5 @@
 	End Function
 
-	Sub Transform(ByRef matrix As Matrix)
+	Sub Transform(matrix As Matrix)
 		SetTransform(matirx)
 	End Sub
@@ -185,26 +185,26 @@
 	' Methods
 	'=========================================================================
-	Static Function FromHDC(hdc As HDC) As *Graphics
+	Static Function FromHDC(hdc As HDC) As Graphics
 		Return New Graphics(hdc)
 	End Function
 
-	Static Function FromHDC(hdc As HDC, hdevice As HANDLE) As *Graphics
+	Static Function FromHDC(hdc As HDC, hdevice As HANDLE) As Graphics
 		Return New Graphics(hdc, hdevice)
 	End Function
 
-	Static Function FromHWND(hwnd As HWND) As *Graphics
+	Static Function FromHWND(hwnd As HWND) As Graphics
 		Return New Graphics(hwnd, FALSE)
 	End Function
 
-	Static Function FromHWND(hwnd As DWord, icm As BOOL) As *Graphics
+	Static Function FromHWND(hwnd As DWord, icm As BOOL) As Graphics
 		Return New Graphics(hwnd, icm)
 	End Function
 
-	Static Function FromImage(image As *Image) As *Graphics
+	Static Function FromImage(image As Image) As Graphics
 		Return New Graphics(image)
 	End Function
 
 	Sub Graphics(hdc As HDC)
-		Dim graphics = 0 As *GpGraphics
+		Dim graphics = 0 As GpGraphics
 		lastResult = GdipCreateFromHDC(hdc, graphics)
 		SetNativeGraphics(graphics)
@@ -233,5 +233,5 @@
 	End Sub
 
-	Sub Graphics(image As *Image)
+	Sub Graphics(image As Image)
 		Dim graphics = 0 As *GpGraphics
 		If (image != 0)
@@ -277,5 +277,5 @@
 	End Function
 
-	Const Function GetRenderingOrigin(ByRef x As Long, ByRef y As Long) As Status
+	Const Function GetRenderingOrigin(x As Long, y As Long) As Status
 		Return SetStatus(GdipGetRenderingOrigin(nativeGraphics, x, y))
 	End Function
@@ -355,5 +355,5 @@
 	'------------------------------------------------------------------------
 
-	Function SetTransform(ByRef matrix As /*Const*/ *Matrix) As Status
+	Function SetTransform(matrix As /*Const*/ *Matrix) As Status
 		Return SetStatus(GdipSetWorldTransform(nativeGraphics, matrix->nativeMatrix))
 	End Function
@@ -363,9 +363,9 @@
 	End Function
 
-	Function MultiplyTransform(ByRef matrix As /*Const*/ Matrix) As Status
+	Function MultiplyTransform(matrix As /*Const*/ Matrix) As Status
 		Return SetStatus(GdipMultiplyWorldTransform(nativeGraphics, matrix->nativeMatrix, MatrixOrder.Prepend))
 	End Function
 
-	Function MultiplyTransform(ByRef matrix As /*Const*/ Matrix, order As MatrixOrder) As Status
+	Function MultiplyTransform(matrix As /*Const*/ Matrix, order As MatrixOrder) As Status
 		Return SetStatus(GdipMultiplyWorldTransform(nativeGraphics, matrix->nativeMatrix, order))
 	End Function
@@ -395,5 +395,5 @@
 	End Function
 
-	Const Function GetTransform(ByRef matrix As Matrix) As Status
+	Const Function GetTransform(matrix As Matrix) As Status
 		Return SetStatus(GdipGetWorldTransform(nativeGraphics, matrix->nativeMatrix))
 	End Function
@@ -411,5 +411,5 @@
 	'------------------------------------------------------------------------
 
-	Const Function GetNearestColor(ByRef color As Color) As Status
+	Const Function GetNearestColor(color As Color) As Status
 		Dim argb = color->Value
 		Dim status = SetStatus(GdipGetNearestColor(nativeGraphics, argb))
@@ -418,294 +418,294 @@
 	End Function
 
-	Function DrawLine(ByRef pen As /*Const*/ Pen, x1 As Single, y1 As Single, x2 As Single, y2 As Single) As Status
+	Function DrawLine(pen As /*Const*/ Pen, x1 As Single, y1 As Single, x2 As Single, y2 As Single) As Status
 		Return SetStatus(GdipDrawLine(nativeGraphics, pen->nativePen, x1, y1, x2, y2))
 	End Function
 
-	Function DrawLine(ByRef pen As /*Const*/ Pen, ByRef pt1 As /*Const*/ PointF, ByRef pt2 As /*Const*/ PointF) As Status
+	Function DrawLine(pen As /*Const*/ Pen, pt1 As /*Const*/ PointF, pt2 As /*Const*/ PointF) As Status
 		Return DrawLine(pen, pt1.X, pt1.Y, pt2.X, pt2.Y)
 	End Function
 
-	Function DrawLines(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
+	Function DrawLines(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
 		Return SetStatus(GdipDrawLines(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawLine(ByRef pen As /*Const*/ Pen, x1 As Long, y1 As Long, x2 As Long, y2 As Long) As Status
+	Function DrawLine(pen As /*Const*/ Pen, x1 As Long, y1 As Long, x2 As Long, y2 As Long) As Status
 		Return SetStatus(GdipDrawLineI(nativeGraphics, pen->nativePen, x1, y1, x2, y2))
 	End Function
 
-	Function DrawLine(ByRef pen As /*Const*/ Pen, ByRef pt1 As /*Const*/ Point, ByRef pt2 As /*Const*/ Point) As Status
+	Function DrawLine(pen As /*Const*/ Pen, pt1 As /*Const*/ Point, pt2 As /*Const*/ Point) As Status
 		Return DrawLine(pen, pt1.X, pt1.Y, pt2.X, pt2.Y)
 	End Function
 
-	Function DrawLines(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
+	Function DrawLines(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipDrawLinesI(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawArc(ByRef pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawArc(pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single, startAngle As Single, sweepAngle As Single) As Status
 		Return SetStatus(GdipDrawArc(nativeGraphics, pen->nativePen, x, y, width, height, startAngle, sweepAngle))
 	End Function
 
-	Function DrawArc(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawArc(pen As /*Const*/ Pen, rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
 		Return DrawArc(pen, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
 
-	Function DrawArc(ByRef pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawArc(pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long, startAngle As Single, sweepAngle As Single) As Status
 		Return SetStatus(GdipDrawArcI(nativeGraphics, pen->nativePen, x, y, width, height, startAngle, sweepAngle))
 	End Function
 
-	Function DrawArc(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawArc(pen As /*Const*/ Pen, rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
 		Return DrawArc(pen, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
 
-	Function DrawBezier(ByRef pen As /*Const*/ Pen, x1 As Single, y1 As Single, x2 As Single, y2 As Single, x3 As Single, y3 As Single, x4 As Single, y4 As Single) As Status
+	Function DrawBezier(pen As /*Const*/ Pen, x1 As Single, y1 As Single, x2 As Single, y2 As Single, x3 As Single, y3 As Single, x4 As Single, y4 As Single) As Status
 		Return SetStatus(GdipDrawBezier(nativeGraphics, pen->nativePen, x1, y1,x2, y2, x3, y3, x4, y4))
 	End Function
 
-	Function DrawBezier(ByRef pen As /*Const*/ Pen, ByRef pt1 As /*Const*/ PointF, ByRef pt2 As /*Const*/ PointF, ByRef pt3 As /*Const*/ PointF, ByRef pt4 As /*Const*/ PointF) As Status
+	Function DrawBezier(pen As /*Const*/ Pen, pt1 As /*Const*/ PointF, pt2 As /*Const*/ PointF, pt3 As /*Const*/ PointF, pt4 As /*Const*/ PointF) As Status
 		Return DrawBezier(pen, pt1.X, pt1.Y, pt2.X, pt2.Y, pt3.X, pt3.Y, pt4.X, pt4.Y)
 	End Function
 
-	Function DrawBeziers(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
+	Function DrawBeziers(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
 		Return SetStatus(GdipDrawBeziers(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawBezier(ByRef pen As /*Const*/ Pen, x1 As Long, y1 As Long, x2 As Long, y2 As Long, x3 As Long, y3 As Long, x4 As Long, y4 As Long) As Status
+	Function DrawBezier(pen As /*Const*/ Pen, x1 As Long, y1 As Long, x2 As Long, y2 As Long, x3 As Long, y3 As Long, x4 As Long, y4 As Long) As Status
 		Return SetStatus(GdipDrawBezierI(nativeGraphics, pen->nativePen, x1, y1, x2, y2, x3, y3, x4, y4))
 	End Function
 
-	Function DrawBezier(ByRef pen As /*Const*/ Pen, ByRef pt1 As /*Const*/ Point, ByRef pt2 As /*Const*/ Point, ByRef pt3 As /*Const*/ Point, ByRef pt4 As /*Const*/ Point) As Status
+	Function DrawBezier(pen As /*Const*/ Pen, pt1 As /*Const*/ Point, pt2 As /*Const*/ Point, pt3 As /*Const*/ Point, pt4 As /*Const*/ Point) As Status
 		Return DrawBezier(pen pt1.X, pt1.Y, pt2.X, pt2.Y, pt3.X, pt3.Y, pt4.X, pt4.Y)
 	End Function
 
-	Function DrawBeziers(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
+	Function DrawBeziers(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipDrawBeziersI(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawRectangle(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ RectangleF) As Status
+	Function DrawRectangle(pen As /*Const*/ Pen, rect As /*Const*/ RectangleF) As Status
 		Return DrawRectangle(pen, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function DrawRectangle(ByRef pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single) As Status
+	Function DrawRectangle(pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single) As Status
 		Return SetStatus(GdipDrawRectangle(nativeGraphics, pen->nativePen, x, y, width, height))
 	End Function
 
-	Function DrawRectangles(ByRef pen As /*Const*/ Pen, rects As /*Const*/ *RectangleF, count As Long) As Status
+	Function DrawRectangles(pen As /*Const*/ Pen, rects As /*Const*/ *RectangleF, count As Long) As Status
 		Return SetStatus(GdipDrawRectangles(nativeGraphics, pen->nativePen, rects, count))
 	End Function
 
-	Function DrawRectangle(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ Rectangle) As Status
+	Function DrawRectangle(pen As /*Const*/ Pen, rect As /*Const*/ Rectangle) As Status
 		Return DrawRectangle(pen, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function DrawRectangle(ByRef pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long) As Status
+	Function DrawRectangle(pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long) As Status
 		Return SetStatus(GdipDrawRectangleI(nativeGraphics, pen->nativePen, x, y, width, height))
 	End Function
 
-	Function DrawRectangles(ByRef pen As /*Const*/ Pen, rects As /*Const*/ *Rectangle,  count As Long) As Status
+	Function DrawRectangles(pen As /*Const*/ Pen, rects As /*Const*/ *Rectangle,  count As Long) As Status
 		Return SetStatus(GdipDrawRectanglesI(nativeGraphics, pen->nativePen, rects, count))
 	End Function
 
-	Function DrawEllipse(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ RectangleF) As Status
+	Function DrawEllipse(pen As /*Const*/ Pen, rect As /*Const*/ RectangleF) As Status
 		Return DrawEllipse(pen, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function DrawEllipse(ByRef pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single) As Status
+	Function DrawEllipse(pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single) As Status
 		Return SetStatus(GdipDrawEllipse(nativeGraphics, pen->nativePen, x, y, width, height))
 	End Function
 
-	Function DrawEllipse(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ Rectangle) As Status
+	Function DrawEllipse(pen As /*Const*/ Pen, rect As /*Const*/ Rectangle) As Status
 		Return DrawEllipse(pen, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function DrawEllipse(ByRef pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long) As Status
+	Function DrawEllipse(pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long) As Status
 		Return SetStatus(GdipDrawEllipseI(nativeGraphics, pen->nativePen, x, y, width, height))
 	End Function
 
-	Function DrawPie(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawPie(pen As /*Const*/ Pen, rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
 		Return DrawPie(pen, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
 
-	Function DrawPie(ByRef pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawPie(pen As /*Const*/ Pen, x As Single, y As Single, width As Single, height As Single, startAngle As Single, sweepAngle As Single) As Status
 		Return SetStatus(GdipDrawPie(nativeGraphics, pen->nativePen, x, y, width, height, startAngle, sweepAngle))
 	End Function
 
-	Function DrawPie(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawPie(pen As /*Const*/ Pen, rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
 		Return DrawPie(pen, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
 
-	Function DrawPie(ByRef pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawPie(pen As /*Const*/ Pen, x As Long, y As Long, width As Long, height As Long, startAngle As Single, sweepAngle As Single) As Status
 		Return SetStatus(GdipDrawPieI(nativeGraphics, pen->nativePen, x, y, width, height, startAngle, sweepAngle))
 	End Function
 
-	Function DrawPolygon(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
+	Function DrawPolygon(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
 		Return SetStatus(GdipDrawPolygon(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawPolygon(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
+	Function DrawPolygon(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipDrawPolygonI(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawPath(ByRef pen As /*Const*/ Pen, ByRef path As /*Const*/ GraphicsPath) As Status
+	Function DrawPath(pen As /*Const*/ Pen, path As /*Const*/ GraphicsPath) As Status
 		Return SetStatus(GdipDrawPath(nativeGraphics, pen->nativePen, path->nativePath))
 '		Return SetStatus(GdipDrawPath(nativeGraphics, pen ? pen->nativePen : NULL, path ? path->nativePath : NULL))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
 		Return SetStatus(GdipDrawCurve(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, tension As Single) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, tension As Single) As Status
 		Return SetStatus(GdipDrawCurve2(nativeGraphics, pen->nativePen, points,count, tension))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, offset As Long, numberOfSegments As Long) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, offset As Long, numberOfSegments As Long) As Status
 		Return SetStatus(GdipDrawCurve3(nativeGraphics, pen->nativePen, points, count, offset,numberOfSegments, 0.5))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, offset As Long, numberOfSegments As Long, tension As Single) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, offset As Long, numberOfSegments As Long, tension As Single) As Status
 		Return SetStatus(GdipDrawCurve3(nativeGraphics, pen->nativePen, points, count, offset,numberOfSegments, tension))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipDrawCurveI(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, tension As Single) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, tension As Single) As Status
 		Return SetStatus(GdipDrawCurve2I(nativeGraphics, pen->nativePen, points, count, tension))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, offset As Long, numberOfSegments As Long) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, offset As Long, numberOfSegments As Long) As Status
 		Return SetStatus(GdipDrawCurve3I(nativeGraphics, pen->nativePen, points, count, offset, numberOfSegments, 0.5))
 	End Function
 
-	Function DrawCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, offset As Long, numberOfSegments As Long, tension As Single) As Status
+	Function DrawCurve(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, offset As Long, numberOfSegments As Long, tension As Single) As Status
 		Return SetStatus(GdipDrawCurve3I(nativeGraphics, pen->nativePen, points, count, offset, numberOfSegments, tension))
 	End Function
 
-	Function DrawClosedCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
+	Function DrawClosedCurve(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long) As Status
 		Return SetStatus(GdipDrawClosedCurve(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawClosedCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, tension As Single) As Status
+	Function DrawClosedCurve(pen As /*Const*/ Pen, points As /*Const*/ *PointF, count As Long, tension As Single) As Status
 		Return SetStatus(GdipDrawClosedCurve2(nativeGraphics, pen->nativePen, points, count, tension))
 	End Function
 
-	Function DrawClosedCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
+	Function DrawClosedCurve(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipDrawClosedCurveI(nativeGraphics, pen->nativePen, points, count))
 	End Function
 
-	Function DrawClosedCurve(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, tension As Single) As Status
+	Function DrawClosedCurve(pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long, tension As Single) As Status
 		Return SetStatus(GdipDrawClosedCurve2I(nativeGraphics, pen->nativePen, points, count, tension))
 	End Function
 
-	Function Clear(ByRef color As /*Const*/ Color) As Status
+	Function Clear(color As /*Const*/ Color) As Status
 		Return SetStatus(GdipGraphicsClear(nativeGraphics, color.Value))
 	End Function
 
-	Function FillRectangle(ByRef brush As /*Const*/ Brush, ByRef rect As /*Const*/ RectangleF) As Status
+	Function FillRectangle(brush As /*Const*/ Brush, rect As /*Const*/ RectangleF) As Status
 		Return FillRectangle(brush, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function FillRectangle(ByRef brush As /*Const*/ Brush, x As Single, y As Single, width As Single, height As Single) As Status
+	Function FillRectangle(brush As /*Const*/ Brush, x As Single, y As Single, width As Single, height As Single) As Status
 		Return SetStatus(GdipFillRectangle(nativeGraphics, brush->nativeBrush, x, y, width, height))
 	End Function
 
-	Function FillRectangles(ByRef brush As /*Const*/ Brush, rects As /*Const*/ *RectangleF, count As Long) As Status
+	Function FillRectangles(brush As /*Const*/ Brush, rects As /*Const*/ *RectangleF, count As Long) As Status
 		Return SetStatus(GdipFillRectangles(nativeGraphics,brush->nativeBrush,rects, count))
 	End Function
 
-	Function FillRectangle(ByRef brush As /*Const*/ Brush, ByRef rect As /*Const*/ Rectangle) As Status
+	Function FillRectangle(brush As /*Const*/ Brush, rect As /*Const*/ Rectangle) As Status
 		Return FillRectangle(brush, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function FillRectangle(ByRef brush As /*Const*/ Brush, x As Long, y As Long, width As Long, height As Long) As Status
+	Function FillRectangle(brush As /*Const*/ Brush, x As Long, y As Long, width As Long, height As Long) As Status
 		Return SetStatus(GdipFillRectangleI(nativeGraphics, brush->nativeBrush, x, y, width, height))
 	End Function
 
-	Function FillRectangles(ByRef brush As /*Const*/ Brush, rects As /*Const*/ *Rectangle, count As Long) As Status
+	Function FillRectangles(brush As /*Const*/ Brush, rects As /*Const*/ *Rectangle, count As Long) As Status
 		Return SetStatus(GdipFillRectanglesI(nativeGraphics, brush->nativeBrush, rects, count))
 	End Function
 
-	Function FillPolygon(ByRef brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long) As Status
+	Function FillPolygon(brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long) As Status
 		Return FillPolygon(brush, points, count, FillModeAlternate)
 	End Function
 
-	Function FillPolygon(ByRef brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long, fillMode As FillMode) As Status
+	Function FillPolygon(brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long, fillMode As FillMode) As Status
 		Return SetStatus(GdipFillPolygon(nativeGraphics, brush->nativeBrush, points, count, fillMode))
 	End Function
 
-	Function FillPolygon(ByRef brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long) As Status
+	Function FillPolygon(brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long) As Status
 		Return FillPolygon(brush, points, count, FillModeAlternate)
 	End Function
 
-	Function FillPolygon(ByRef brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long, fillMode As FillMode) As Status
+	Function FillPolygon(brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long, fillMode As FillMode) As Status
 		Return SetStatus(GdipFillPolygonI(nativeGraphics, brush->nativeBrush, points, count, fillMode))
 	End Function
 
-	Function FillEllipse(ByRef brush As /*Const*/ Brush, ByRef rect As /*Const*/ RectangleF) As Status
+	Function FillEllipse(brush As /*Const*/ Brush, rect As /*Const*/ RectangleF) As Status
 		Return FillEllipse(brush, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function FillEllipse(ByRef brush As /*Const*/ Brush, x As Single, y As Single, width As Single, height As Single) As Status
+	Function FillEllipse(brush As /*Const*/ Brush, x As Single, y As Single, width As Single, height As Single) As Status
 		Return SetStatus(GdipFillEllipse(nativeGraphics, brush->nativeBrush, x, y, width, height))
 	End Function
 
-	Function FillEllipse(ByRef brush As /*Const*/ Brush, ByRef rect As /*Const*/ Rectangle) As Status
+	Function FillEllipse(brush As /*Const*/ Brush, rect As /*Const*/ Rectangle) As Status
 		Return FillEllipse(brush, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function FillEllipse(ByRef brush As /*Const*/ Brush, x As Long, y As Long, width As Long, height As Long) As Status
+	Function FillEllipse(brush As /*Const*/ Brush, x As Long, y As Long, width As Long, height As Long) As Status
 		Return SetStatus(GdipFillEllipseI(nativeGraphics, brush->nativeBrush, x, y, width, height))
 	End Function
 
-	Function FillPie(ByRef brush As /*Const*/ Brush, ByRef rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
+	Function FillPie(brush As /*Const*/ Brush, rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
 		Return FillPie(brush, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
 
-	Function FillPie(ByRef brush As /*Const*/ Brush, x As Single, y As Single, width As Single, height As Single, startAngle As Single, sweepAngle As Single) As Status
+	Function FillPie(brush As /*Const*/ Brush, x As Single, y As Single, width As Single, height As Single, startAngle As Single, sweepAngle As Single) As Status
 		Return SetStatus(GdipFillPie(nativeGraphics, brush->nativeBrush, x, y, width, height, startAngle, sweepAngle))
 	End Function
 
-	Function FillPie(ByRef brush As /*Const*/ Brush, ByRef rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
+	Function FillPie(brush As /*Const*/ Brush, rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
 		Return FillPie(brush, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
 
-	Function FillPie(ByRef brush As /*Const*/ Brush, x As Long, y As Long, width As Long, height As Long, startAngle As Single, sweepAngle As Single) As Status
+	Function FillPie(brush As /*Const*/ Brush, x As Long, y As Long, width As Long, height As Long, startAngle As Single, sweepAngle As Single) As Status
 		Return SetStatus(GdipFillPieI(nativeGraphics, brush->nativeBrush, x, y, width, height, startAngle, sweepAngle))
 	End Function
 
-	Function FillPath(ByRef brush As /*Const*/ Brush, ByRef path As /*Const*/ GraphicsPath) As Status
+	Function FillPath(brush As /*Const*/ Brush, path As /*Const*/ GraphicsPath) As Status
 		Return SetStatus(GdipFillPath(nativeGraphics, brush->nativeBrush, path->nativePath))
 	End Function
 
-	Function FillClosedCurve(ByRef brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long) As Status
+	Function FillClosedCurve(brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long) As Status
 		Return SetStatus(GdipFillClosedCurve(nativeGraphics, brush->nativeBrush, points, count))
 	End Function
 
-	Function FillClosedCurve(ByRef brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long, fillMode As FillMode) As Status
+	Function FillClosedCurve(brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long, fillMode As FillMode) As Status
 		Return SetStatus(GdipFillClosedCurve2(nativeGraphics, brush->nativeBrush, points, count, 0.5, fillMode))
 	End Function
 
-	Function FillClosedCurve(ByRef brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long, fillMode As FillMode, tension As Single) As Status
+	Function FillClosedCurve(brush As /*Const*/ Brush, points As /*Const*/ *PointF, count As Long, fillMode As FillMode, tension As Single) As Status
 		Return SetStatus(GdipFillClosedCurve2(nativeGraphics, brush->nativeBrush, points, count, tension, fillMode))
 	End Function
 
-	Function FillClosedCurve(ByRef brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long) As Status
+	Function FillClosedCurve(brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipFillClosedCurveI(nativeGraphics, brush->nativeBrush, points, count))
 	End Function
 
-	Function FillClosedCurve(ByRef brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long, fillMode As FillMode) As Status
+	Function FillClosedCurve(brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long, fillMode As FillMode) As Status
 		Return SetStatus(GdipFillClosedCurve2I(nativeGraphics, brush->nativeBrush, points, count, 0.5, fillMode))
 	End Function
 
-	Function FillClosedCurve(ByRef brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long, fillMode As FillMode, tension As Single) As Status
+	Function FillClosedCurve(brush As /*Const*/ Brush, points As /*Const*/ *Point, count As Long, fillMode As FillMode, tension As Single) As Status
 		Return SetStatus(GdipFillClosedCurve2I(nativeGraphics, brush->nativeBrush, points, count, tension, fillMode))
 	End Function
 
-	Function FillRegion(ByRef brush As /*Const*/ Brush, ByRef region As /*Const*/ Region) As Status
+	Function FillRegion(brush As /*Const*/ Brush, region As /*Const*/ Region) As Status
 		Return SetStatus(GdipFillRegion(nativeGraphics, brush->nativeBrush, region->nativeRegion))
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, layoutRect As /*Const*/ RectangleF) As Status
 		Dim nativeFont As *GpFont
 		If VarPtr(font) <> 0 Then
@@ -717,6 +717,6 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ Rectangle,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef brush As /*Const*/ Brush) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, layoutRect As /*Const*/ Rectangle,
+		stringFormat As /*Const*/ StringFormat, brush As /*Const*/ Brush) As Status
 
 		Dim nativeFont As *GpFont
@@ -735,6 +735,6 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef brush As /*Const*/ Brush) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, layoutRect As /*Const*/ RectangleF,
+		stringFormat As /*Const*/ StringFormat, brush As /*Const*/ Brush) As Status
 
 		Dim nativeFont As *GpFont
@@ -759,5 +759,5 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ Point) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, origin As /*Const*/ Point) As Status
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
 		Dim nativeFont As *GpFont
@@ -770,6 +770,6 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
-		ByRef brush As /*Const*/ Brush) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, origin As /*Const*/ PointF,
+		brush As /*Const*/ Brush) As Status
 
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
@@ -789,5 +789,5 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, origin As /*Const*/ PointF) As Status
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
 		Dim nativeFont As *GpFont
@@ -800,6 +800,6 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
-		ByRef stringFormat As /*Const*/ StringFormat) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, origin As /*Const*/ PointF,
+		stringFormat As /*Const*/ StringFormat) As Status
 
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
@@ -819,6 +819,6 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef brush As /*Const*/ Brush) As Status
+	Function DrawString(str As PCWSTR, length As Long, font As /*Const*/ Font, origin As /*Const*/ PointF,
+		stringFormat As /*Const*/ StringFormat, brush As /*Const*/ Brush) As Status
 
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
@@ -843,20 +843,20 @@
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font, layoutRect As /*Const*/ RectangleF,
+		stringFormat As /*Const*/ StringFormat, boundingBox As RectangleF) As Status
 
 		Return MeasureString(str, length, font, layoutRect, stringFormat, boundingBox, ByVal 0, ByVal 0)
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF,
-		ByRef codepointsFitted As Long) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font, layoutRect As /*Const*/ RectangleF,
+		stringFormat As /*Const*/ StringFormat, boundingBox As RectangleF,
+		codepointsFitted As Long) As Status
 
 		Return MeasureString(str, length, font, layoutRect, stringFormat, boundingBox, codepointsFitted, ByVal 0)
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF,
-		ByRef codepointsFitted As Long, ByRef linesFilled As Long) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font, layoutRect As /*Const*/ RectangleF,
+		stringFormat As /*Const*/ StringFormat, boundingBox As RectangleF,
+		codepointsFitted As Long, linesFilled As Long) As Status
 
 		Dim nativeFont As *GpFont
@@ -876,21 +876,21 @@
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef layoutRectSize As /*Const*/ SizeF, ByRef stringFormat As /*Const*/ StringFormat,
-		ByRef size As SizeF) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		layoutRectSize As /*Const*/ SizeF, stringFormat As /*Const*/ StringFormat,
+		size As SizeF) As Status
 
 			Return MeasureString(str, length, font, layoutRectSize, stringFormat, size, ByVal 0, ByVal 0)
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef layoutRectSize As /*Const*/ SizeF, ByRef stringFormat As /*Const*/ StringFormat,
-		ByRef size As SizeF, ByRef codepointsFitted As Long) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		layoutRectSize As /*Const*/ SizeF, stringFormat As /*Const*/ StringFormat,
+		size As SizeF, codepointsFitted As Long) As Status
 
 			Return MeasureString(str, length, font, layoutRectSize, stringFormat, size, codepointsFitted, ByVal 0)
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef layoutRectSize As /*Const*/ SizeF, ByRef stringFormat As /*Const*/ StringFormat,
-		ByRef size As SizeF, ByRef codepointsFitted As Long, ByRef linesFilled As Long) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		layoutRectSize As /*Const*/ SizeF, stringFormat As /*Const*/ StringFormat,
+		size As SizeF, codepointsFitted As Long, linesFilled As Long) As Status
 
 		Dim layoutRect As RectangleF(0, 0, layoutRectSize.Width, layoutRectSize.Height)
@@ -925,7 +925,7 @@
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef origin As /*Const*/ PointF, ByRef stringFormat As /*Const*/ StringFormat,
-		ByRef boundingBox As RectangleF) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		origin As /*Const*/ PointF, stringFormat As /*Const*/ StringFormat,
+		boundingBox As RectangleF) As Status
 
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0f, 0.0f)
@@ -946,6 +946,6 @@
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef layoutRect As /*Const*/ RectangleF, ByRef boundingBox As RectangleF) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		layoutRect As /*Const*/ RectangleF, boundingBox As RectangleF) As Status
 
 		Dim nativeFont As *GpFont
@@ -959,6 +959,6 @@
 	End Function
 
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef origin As /*Const*/ PointF, ByRef boundingBox As RectangleF) As Status
+	Const Function MeasureString(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		origin As /*Const*/ PointF, boundingBox As RectangleF) As Status
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
 
@@ -972,6 +972,6 @@
 	End Function
 
-	Const Function MeasureCharacterRanges(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font,
-		ByRef layoutRect As /*Const*/ RectangleF, ByRef stringFormat As /*Const*/ StringFormat,
+	Const Function MeasureCharacterRanges(str As PCWSTR, length As Long, font As /*Const*/ Font,
+		layoutRect As /*Const*/ RectangleF, stringFormat As /*Const*/ StringFormat,
 		regionCount As Long, regions As *Region) As Status
 		If regions = 0 Or regionCount <= 0 Then
@@ -1009,12 +1009,12 @@
 	End Function
 
-	Function DrawDriverString(text As /*Const*/ Word, length As Long, ByRef font As /*Const*/ Font,
-		ByRef brush As /*Const*/ Brush, positions As /*Const*/ *PointF, flags As Long) As Status
+	Function DrawDriverString(text As /*Const*/ Word, length As Long, font As /*Const*/ Font,
+		brush As /*Const*/ Brush, positions As /*Const*/ *PointF, flags As Long) As Status
 
 		Return DrawDriverString(text, length, font, brush, positions, flags, ByVal 0)
 	End Function
 
-	Function DrawDriverString(text As /*Const*/ Word, length As Long, ByRef font As /*Const*/ Font,
-		ByRef brush As /*Const*/ Brush, positions As /*Const*/ *PointF, flags As Long, ByRef matrix As /*Const*/ Matrix) As Status
+	Function DrawDriverString(text As /*Const*/ Word, length As Long, font As /*Const*/ Font,
+		brush As /*Const*/ Brush, positions As /*Const*/ *PointF, flags As Long, matrix As /*Const*/ Matrix) As Status
 
 		Dim nativeFont As *GpFont
@@ -1039,6 +1039,6 @@
 	End Function
 
-	Const Function MeasureDriverString(text As /*Const*/ Word, length As Long, ByRef font As /*Const*/ Font,
-		positions As /*Const*/ *PointF, flags As Long, ByRef matrix As /*Const*/ Matrix, ByRef boundingBox As RectangleF) As Status
+	Const Function MeasureDriverString(text As /*Const*/ Word, length As Long, font As /*Const*/ Font,
+		positions As /*Const*/ *PointF, flags As Long, matrix As /*Const*/ Matrix, boundingBox As RectangleF) As Status
 
 		Dim nativeFont As *GpFont
@@ -1061,13 +1061,13 @@
 	' native format differs from this Graphics.
 
-	Function DrawCachedBitmap(ByRef cb As CachedBitmap, x As Long, y As Long) As Status
+	Function DrawCachedBitmap(cb As CachedBitmap, x As Long, y As Long) As Status
 		Return SetStatus(GdipDrawCachedBitmap(nativeGraphics, cb->nativeCachedBitmap, x, y))
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef point As /*Const*/ PointF) As Status
+	Function DrawImage(image As Image, point As /*Const*/ PointF) As Status
 		Return DrawImage(image, point.X, point.Y)
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Single, y As Single) As Status
+	Function DrawImage(image As Image, x As Single, y As Single) As Status
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
@@ -1079,9 +1079,9 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef rect As /*Const*/ RectangleF) As Status
+	Function DrawImage(image As Image, rect As /*Const*/ RectangleF) As Status
 		Return DrawImage(image, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Single, y As Single, width As Single, height As Single) As Status
+	Function DrawImage(image As Image, x As Single, y As Single, width As Single, height As Single) As Status
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
@@ -1093,9 +1093,9 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef point As /*Const*/ Point) As Status
+	Function DrawImage(image As Image, point As /*Const*/ Point) As Status
 		Return DrawImage(image, point.X, point.Y) As Status
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Long, y As Long) As Status
+	Function DrawImage(image As Image, x As Long, y As Long) As Status
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
@@ -1107,9 +1107,9 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef rect As /*Const*/ Rectangle) As Status
+	Function DrawImage(image As Image, rect As /*Const*/ Rectangle) As Status
 		Return DrawImage(image, rect.X, rect.Y, rect.Width, rect.Height)
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Long, y As Long, width As Long, height As Long) As Status
+	Function DrawImage(image As Image, x As Long, y As Long, width As Long, height As Long) As Status
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
@@ -1129,5 +1129,5 @@
 	'	   destPoints[3] <=> bottom-right corner
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ PointF, count As Long) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ PointF, count As Long) As Status
 		If count <> 3 And count <> 4 Then
 			Return SetStatus(InvalidParameter)
@@ -1143,5 +1143,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ Point, count As Long) As Status
 		If count <> 3 And count <> 4 Then
 			Return SetStatus(InvalidParameter)
@@ -1157,5 +1157,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Single, y As Single,
+	Function DrawImage(image As Image, x As Single, y As Single,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit) As Status
 
@@ -1169,5 +1169,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ RectangleF,
+	Function DrawImage(image As Image, destRect As /*Const*/ RectangleF,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit) As Status
 
@@ -1175,14 +1175,14 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ RectangleF,
+	Function DrawImage(image As Image, destRect As /*Const*/ RectangleF,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+		imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Return DrawImage(image, destRect, srcx, srcy, srcwidth, srcheight, srcUnit, imageAttributes, 0, 0)
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ RectangleF,
+	Function DrawImage(image As Image, destRect As /*Const*/ RectangleF,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes,
+		imageAttributes As /*Const*/ ImageAttributes,
 		callback As DrawImageAbort) As Status
 
@@ -1190,7 +1190,7 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ RectangleF,
+	Function DrawImage(image As Image, destRect As /*Const*/ RectangleF,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
+		imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
 
 		Dim nativeImage As *GpImage
@@ -1212,5 +1212,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ PointF, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ PointF, count As Long,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit) As Status
 
@@ -1218,14 +1218,14 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ PointF, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ PointF, count As Long,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+		imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Return DrawImage(image, destPoints, count, srcx, srcy, srcwidth, srcheight, srcUnit, imageAttributes, 0, 0)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ PointF, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ PointF, count As Long,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes,
+		imageAttributes As /*Const*/ ImageAttributes,
 		callback As DrawImageAbort) As Status
 
@@ -1233,7 +1233,7 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ PointF, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ PointF, count As Long,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
+		imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
 
 		Dim nativeImage As *GpImage
@@ -1254,5 +1254,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Long, y As Long,
+	Function DrawImage(image As Image, x As Long, y As Long,
 		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit) As Status
 
@@ -1266,5 +1266,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ Rectangle,
+	Function DrawImage(image As Image, destRect As /*Const*/ Rectangle,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit) As Status
 
@@ -1272,21 +1272,21 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ Rectangle,
+	Function DrawImage(image As Image, destRect As /*Const*/ Rectangle,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+		imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Return DrawImage(image, destRect, srcx, srcy, srcwidth, srcheight, srcUnit, imageAttributes, 0, 0)
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ Rectangle,
+	Function DrawImage(image As Image, destRect As /*Const*/ Rectangle,
 		srcx As Single, srcy As Single, srcwidth As Single, srcheight As Single, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort) As Status
+		imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort) As Status
 
 		Return DrawImage(image, destRect, srcx, srcy, srcwidth, srcheight, srcUnit, imageAttributes, callback, 0)
 	End Function
 
-	Function DrawImage(ByRef image As Image, ByRef destRect As /*Const*/ Rectangle,
+	Function DrawImage(image As Image, destRect As /*Const*/ Rectangle,
 		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
+		imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
 
 		Dim nativeImage As *GpImage
@@ -1308,5 +1308,5 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ Point, count As Long,
 		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit) As Status
 
@@ -1314,14 +1314,14 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ Point, count As Long,
 		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+		imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Return DrawImage(image, destPoints, count, srcx, srcy, srcwidth, srcheight, srcUnit, imageAttributes, 0, 0)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long, _
+	Function DrawImage(image As Image, destPoints As /*Const*/ Point, count As Long, _
 		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit, _
-		ByRef imageAttributes As /*Const*/ ImageAttributes,
+		imageAttributes As /*Const*/ ImageAttributes,
 		callback As DrawImageAbort) As Status
 
@@ -1329,7 +1329,7 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long,
+	Function DrawImage(image As Image, destPoints As /*Const*/ Point, count As Long,
 		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit,
-		ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
+		imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
 
 		Dim nativeImage As *GpImage
@@ -1350,41 +1350,41 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *Point, count As Long, srcRect As Rectangle, srcUnit As GraphicsUnit) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *PointF, count As Long, srcRect As RectangleF, srcUnit As GraphicsUnit) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit)
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Long, y As Long, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit) As Status
+	Function DrawImage(image As Image, x As Long, y As Long, srcRect As Rectangle, srcUnit As GraphicsUnit) As Status
 		Return DrawImage(image, x, y, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit)
 	End Function
 
-	Function DrawImage(ByRef image As Image, x As Single, y As Single, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit) As Status
+	Function DrawImage(image As Image, x As Single, y As Single, srcRect As RectangleF, srcUnit As GraphicsUnit) As Status
 		Return DrawImage(image, x, y, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *Point, count As Long, srcRect As Rectangle, srcUnit As GraphicsUnit, imageAttributes As /*Const*/ ImageAttributes) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit, imageAttributes)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *PointF, count As Long, srcRect As RectangleF, srcUnit As GraphicsUnit, imageAttributes As /*Const*/ ImageAttributes) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit, imageAttributes)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit, ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *Point, count As Long, srcRect As Rectangle, srcUnit As GraphicsUnit, imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit, imageAttributes, callback)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit, ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *PointF, count As Long, srcRect As RectangleF, srcUnit As GraphicsUnit, imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit, imageAttributes, callback)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit, ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *Point, count As Long, srcRect As Rectangle, srcUnit As GraphicsUnit, imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit, imageAttributes, callback, callbackData)
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit, ByRef imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
+	Function DrawImage(image As Image, destPoints As /*Const*/ *PointF, count As Long, srcRect As RectangleF, srcUnit As GraphicsUnit, imageAttributes As /*Const*/ ImageAttributes, callback As DrawImageAbort, callbackData As VoidPtr) As Status
 		Return DrawImage(image, destPoints, count, srcRect.X, srcRect.Y, srcRect.Width, srcRect.Height, srcUnit, imageAttributes, callback, callbackData)
 	End Function
@@ -1396,5 +1396,5 @@
 	' to play the particular record.
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destPoint As /*Const*/ PointF,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoint As /*Const*/ PointF,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1402,5 +1402,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destPoint As /*Const*/ PointF,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoint As /*Const*/ PointF,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1408,6 +1408,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destPoint As /*Const*/ PointF,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoint As /*Const*/ PointF,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1428,5 +1428,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destPoint As /*Const*/ Point,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoint As /*Const*/ Point,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1434,5 +1434,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destPoint As /*Const*/ Point,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoint As /*Const*/ Point,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1440,6 +1440,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destPoint As /*Const*/ Point,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoint As /*Const*/ Point,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1460,5 +1460,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destRect As /*Const*/ RectangleF,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destRect As /*Const*/ RectangleF,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1466,5 +1466,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destRect As /*Const*/ RectangleF,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destRect As /*Const*/ RectangleF,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1472,6 +1472,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destRect As /*Const*/ RectangleF,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destRect As /*Const*/ RectangleF,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1492,5 +1492,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destRect As /*Const*/ Rectangle,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destRect As /*Const*/ Rectangle,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1498,5 +1498,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destRect As /*Const*/ Rectangle,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destRect As /*Const*/ Rectangle,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1504,6 +1504,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, ByRef destRect As /*Const*/ Rectangle,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destRect As /*Const*/ Rectangle,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1524,5 +1524,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, destPoints As /*Const*/ *PointF, count As Long,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoints As /*Const*/ *PointF, count As Long,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1530,5 +1530,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, destPoints As /*Const*/ *PointF, count As Long,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoints As /*Const*/ *PointF, count As Long,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1536,6 +1536,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, destPoints As /*Const*/ *PointF, count As Long,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoints As /*Const*/ *PointF, count As Long,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1556,5 +1556,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, destPoints As /*Const*/ *Point, count As Long,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoints As /*Const*/ *Point, count As Long,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1562,5 +1562,5 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, destPoints As /*Const*/ *Point, count As Long,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoints As /*Const*/ *Point, count As Long,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1568,6 +1568,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, destPoints As /*Const*/ *Point, count As Long,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, destPoints As /*Const*/ *Point, count As Long,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1588,6 +1588,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destPoint As /*Const*/ PointF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile,
+		destPoint As /*Const*/ PointF, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc) As Status
 
@@ -1595,6 +1595,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destPoint As /*Const*/ PointF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile,
+		destPoint As /*Const*/ PointF, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1602,7 +1602,7 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destPoint As /*Const*/ PointF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile,
+		destPoint As /*Const*/ PointF, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1623,6 +1623,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoint As /*Const*/ Point, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1630,6 +1630,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoint As /*Const*/ Point, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1637,7 +1637,7 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoint As /*Const*/ Point, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1658,6 +1658,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destRect As /*Const*/ RectangleF, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1665,6 +1665,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destRect As /*Const*/ RectangleF, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1672,7 +1672,7 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destRect As /*Const*/ RectangleF, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1693,6 +1693,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destRect As /*Const*/ Rectangle, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1700,6 +1700,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destRect As /*Const*/ Rectangle, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1707,7 +1707,7 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destRect As /*Const*/ Rectangle, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1728,6 +1728,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *PointF, count As Long, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1735,6 +1735,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *PointF, count As Long, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1742,7 +1742,7 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *PointF, count As Long, srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1763,6 +1763,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *Point, count As Long, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1770,6 +1770,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *Point, count As Long, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1777,7 +1777,7 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
-		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
-		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
+	Function EnumerateMetafile(metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *Point, count As Long, srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
+		callback As EnumerateMetafileProc, callbackData As VoidPtr, imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
@@ -1798,41 +1798,41 @@
 	End Function
 
-	Function SetClip(ByRef g As /*Const*/ Graphics) As Status
+	Function SetClip(g As /*Const*/ Graphics) As Status
 		Return SetClip(g, CombineMode.Replace)
 	End Function
 
-	Function SetClip(ByRef rc As /*Const*/ RectangleF) As Status
+	Function SetClip(rc As /*Const*/ RectangleF) As Status
 		Return SetStatus(GdipSetClipRect(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, CombineMode.Replace))
 	End Function
 
-	Function SetClip(ByRef rc As /*Const*/ Rectangle) As Status
+	Function SetClip(rc As /*Const*/ Rectangle) As Status
 		Return SetStatus(GdipSetClipRectI(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, CombineMode.Replace))
 	End Function
 
-	Function SetClip(ByRef path As /*Const*/ GraphicsPath) As Status
+	Function SetClip(path As /*Const*/ GraphicsPath) As Status
 		Return SetStatus(GdipSetClipPath(nativeGraphics, path->nativePath, CombineMode.Replace))
 	End Function
 
-	Function SetClip(ByRef region As /*Const*/ Region) As Status
+	Function SetClip(region As /*Const*/ Region) As Status
 		Return SetStatus(GdipSetClipRegion(nativeGraphics, region->nativeRegion, CombineMode.Replace))
 	End Function
 
-	Function SetClip(ByRef g As /*Const*/ Graphics, combineMode As CombineMode) As Status
+	Function SetClip(g As /*Const*/ Graphics, combineMode As CombineMode) As Status
 		Return SetStatus(GdipSetClipGraphics(nativeGraphics, g->nativeGraphics, combineMode))
 	End Function
 
-	Function SetClip(ByRef rc As /*Const*/ RectangleF, combineMode As CombineMode) As Status
+	Function SetClip(rc As /*Const*/ RectangleF, combineMode As CombineMode) As Status
 		Return SetStatus(GdipSetClipRect(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, combineMode))
 	End Function
 
-	Function SetClip(ByRef rc As /*Const*/ Rectangle, combineMode As CombineMode) As Status
+	Function SetClip(rc As /*Const*/ Rectangle, combineMode As CombineMode) As Status
 		Return SetStatus(GdipSetClipRectI(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, combineMode))
 	End Function
 
-	Function SetClip(ByRef path As /*Const*/ GraphicsPath, combineMode As CombineMode) As Status
+	Function SetClip(path As /*Const*/ GraphicsPath, combineMode As CombineMode) As Status
 		Return SetStatus(GdipSetClipPath(nativeGraphics, path->nativePath, combineMode))
 	End Function
 
-	Function SetClip(ByRef region As /*Const*/ Region, combineMode As CombineMode) As Status
+	Function SetClip(region As /*Const*/ Region, combineMode As CombineMode) As Status
 		Return SetStatus(GdipSetClipRegion(nativeGraphics, region->nativeRegion, combineMode))
 	End Function
@@ -1846,25 +1846,25 @@
 	End Function
 
-	Function IntersectClip(ByRef rc As /*Const*/ RectangleF) As Status
+	Function IntersectClip(rc As /*Const*/ RectangleF) As Status
 		Return SetStatus(GdipSetClipRect(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, CombineMode.Intersect))
 	End Function
 
-	Function IntersectClip(ByRef rc As /*Const*/ Rectangle) As Status
+	Function IntersectClip(rc As /*Const*/ Rectangle) As Status
 		Return SetStatus(GdipSetClipRectI(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, CombineMode.Intersect))
 	End Function
 
-	Function IntersectClip(ByRef region As /*Const*/ Region) As Status
+	Function IntersectClip(region As /*Const*/ Region) As Status
 		Return SetStatus(GdipSetClipRegion(nativeGraphics, region->nativeRegion, CombineMode.Intersect))
 	End Function
 
-	Function ExcludeClip(ByRef rc As /*Const*/ RectangleF) As Status
+	Function ExcludeClip(rc As /*Const*/ RectangleF) As Status
 		Return SetStatus(GdipSetClipRect(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, CombineMode.Exclude))
 	End Function
 
-	Function ExcludeClip(ByRef rc As /*Const*/ Rectangle) As Status
+	Function ExcludeClip(rc As /*Const*/ Rectangle) As Status
 		Return SetStatus(GdipSetClipRectI(nativeGraphics, rc.X, rc.Y, rc.Width, rc.Height, CombineMode.Exclude))
 	End Function
 
-	Function ExcludeClip(ByRef region As /*Const*/ Region) As Status
+	Function ExcludeClip(region As /*Const*/ Region) As Status
 		Return SetStatus(GdipSetClipRegion(nativeGraphics, region->nativeRegion, CombineMode.Exclude))
 	End Function
@@ -1882,21 +1882,21 @@
 	End Function
 
-	Const Function GetClip(ByRef region As Region) As Status
+	Const Function GetClip(region As Region) As Status
 		Return SetStatus(GdipGetClip(nativeGraphics, region->nativeRegion))
 	End Function
 
-	Const Function GetClipBounds(ByRef rc As RectangleF) As Status
+	Const Function GetClipBounds(rc As RectangleF) As Status
 		Return SetStatus(GdipGetClipBounds(nativeGraphics, rc))
 	End Function
 
-	Const Function GetClipBounds(ByRef rc As Rectangle) As Status
+	Const Function GetClipBounds(rc As Rectangle) As Status
 		Return SetStatus(GdipGetClipBoundsI(nativeGraphics, rc))
 	End Function
 
-	Const Function GetVisibleClipBounds(ByRef rc As RectangleF) As Status
+	Const Function GetVisibleClipBounds(rc As RectangleF) As Status
 		Return SetStatus(GdipGetVisibleClipBounds(nativeGraphics, rc))
 	End Function
 
-	Const Function GetVisibleClipBounds(ByRef rc As Rectangle) As Status
+	Const Function GetVisibleClipBounds(rc As Rectangle) As Status
 		Return SetStatus(GdipGetVisibleClipBoundsI(nativeGraphics, rc))
 	End Function
@@ -1908,5 +1908,5 @@
 	End Function
 
-	Const Function IsVisible(ByRef pt As /*Const*/ Point) As BOOL
+	Const Function IsVisible(pt As /*Const*/ Point) As BOOL
 		Return IsVisible(pt.X, pt.Y)
 	End Function
@@ -1918,5 +1918,5 @@
 	End Function
 
-	Const Function IsVisible(ByRef rc As /*Const*/ Rectangle) As BOOL
+	Const Function IsVisible(rc As /*Const*/ Rectangle) As BOOL
 		Return IsVisible(rc.X, rc.Y, rc.Width, rc.Height)
 	End Function
@@ -1928,5 +1928,5 @@
 	End Function
 
-	Const Function IsVisible(ByRef point As /*Const*/ PointF) As BOOL
+	Const Function IsVisible(point As /*Const*/ PointF) As BOOL
 		Return IsVisible(pt.X, pt.Y)
 	End Function
@@ -1938,5 +1938,5 @@
 	End Function
 
-	Const Function IsVisible(ByRef rect As /*Const*/ RectangleF) As BOOL
+	Const Function IsVisible(rect As /*Const*/ RectangleF) As BOOL
 		Return IsVisible(rc.X, rc.Y, rc.Width, rc.Height)
 	End Function
@@ -1952,5 +1952,5 @@
 	End Function
 
-	Function BeginContainer(ByRef dstrect As /*Const*/ RectangleF, ByRef srcrect As /*Const*/ RectangleF, unit As GraphicsUnit) As GraphicsContainer
+	Function BeginContainer(dstrect As /*Const*/ RectangleF, srcrect As /*Const*/ RectangleF, unit As GraphicsUnit) As GraphicsContainer
 		Dim state As GraphicsContainer
 		SetStatus(GdipBeginContainer(nativeGraphics, dstrect, srcrect, unit, state))
@@ -1958,5 +1958,5 @@
 	End Function
 
-	Function BeginContainer(ByRef dstrect As /*Const*/ Rectangle, ByRef srcrect As /*Const*/ Rectangle, unit As GraphicsUnit) As GraphicsContainer
+	Function BeginContainer(dstrect As /*Const*/ Rectangle, srcrect As /*Const*/ Rectangle, unit As GraphicsUnit) As GraphicsContainer
 		Dim state As GraphicsContainer
 		SetStatus(GdipBeginContainerI(nativeGraphics, dstrect, srcrect, unit, state))
@@ -1991,8 +1991,8 @@
 
 Private
-'	Sub Graphics(ByRef gr As Graphics)
+'	Sub Graphics(gr As Graphics)
 '		Debug
 '	End Sub
-	Sub Operator =(ByRef gr As Graphics)
+	Sub Operator =(gr As Graphics)
 		Debug
 	End Sub
